summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2022-08-13 15:48:16 -0500
committerzachir <zachir@librem.one>2022-08-13 15:48:16 -0500
commitf70044bccc479d7340ea5bfa6c8c9be4a1422042 (patch)
tree07c37a62592018bc57ba474a7506d7fc9471f484
parent0a54164560e85d38a7de805cd9fddf8e5fb9e27f (diff)
zirless dont exit if repos dont add properly
-rw-r--r--zirless.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/zirless.sh b/zirless.sh
index 77b7629..9a78c9a 100644
--- a/zirless.sh
+++ b/zirless.sh
@@ -276,11 +276,11 @@ sed -i "s/-j2/-j$(nproc)/;s/^#MAKEFLAGS/MAKEFLAGS/" /etc/makepkg.conf
manualinstall yay-bin || error "Failed to install AUR helper."
-grep -q '^[lib32]' /etc/pacman.conf || artixaddlib32repo || error "Failed to add lib32 repo" && exit 5
+grep -q '^[lib32]' /etc/pacman.conf || artixaddlib32repo || error "Failed to add lib32 repo"
-grep -q '^[universe]' /etc/pacman.conf || artixadduniverserepo || error "Failed to add universe repo" && exit 5
+grep -q '^[universe]' /etc/pacman.conf || artixadduniverserepo || error "Failed to add universe repo"
-grep -q '^[extra]' /etc/pacman.conf || artixaddarchrepos || error "Failed to add Arch Linux repos." && exit 5
+grep -q '^[extra]' /etc/pacman.conf || artixaddarchrepos || error "Failed to add Arch Linux repos."
refreshkeys || error "Error automatically refreshing Arch keyring. Consider doing so manually."